* {
  text-decoration: none;
}

body {
  background-color: '';
}
.dark-theme {
  background-color: #000;
}

/*HEADER*/

header {
  background-color: #fff;
  width: 100%;
  height: 100px;
}
.dark-theme header {
  background-color: #111;
}

header .header-brand {
  font-family: catamaran;
  font-size: 24px;
  font-weight: 900;
  color: #111;
  text-transform: uppercase;
  display: block;
  margin: 0 auto;
  text-align: center;
  padding: 20px 0;
}
.dark-theme header .header-brand {
  color: #fff;
}

header nav ul {
  display: block;
  margin: 0 auto;
  width: fit-content;
}

header nav ul li {
  float: left;
  list-style: none;
  padding: 0 16px;
}

header nav ul li a {
  font-family: catamaran;
  font-size: 16px;
  color: #111;
  text-transform: uppercase;
}
.dark-theme header nav ul li a {
  color: #fff;
}

header .header-cases {
  display: none;
}

@media only screen and (min-width: 1000px) {
  header .header-brand {
    margin: 31px 0;
    text-align: left;
    line-height: 38px;
    padding: 0 20px 0 40px;
    border-right: 3px solid #111;
    float: left;
  }
  .dark-theme .header-brand {
    border-right: 3px solid #fff;
  }
  
  header nav ul {
    margin: 20px 0 0 20px;
    float: left;
  }
    
  header nav ul li a {
    line-height: 60px;
  }

  header .header-cases {
    display: block;
    font-family: Catamaran;
    font-size: 16px;
    color: #111;
    text-transform: uppercase;
    line-height: 38px;
    border: 1px solid #111;
    float: right;
    margin-right: 40px;
    margin-top: 30px;
    padding: 0 20px;
  }
  .dark-theme .header-cases {
    color: #fff;
    border: 1px solid #fff;
  }
}

/*INDEX*/

.index-banner {
  width: 100%;
  height: calc(100vh - 100px);
  background-image: url(/img/Denim.JPG);
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
  display: table;
}

.vertical-center {
  display: table-cell;
  vertical-align: middle;
}

.index-banner h2 {
  font-family: Catamaran;
  font-size: 60px;
  font-weight: 900;
  line-height: 70px;
  color: #fff;
  text-align: center;
  text-shadow: 2px 2px 8px #111;
}
.dark-theme .index-banner h2 {
  color: #111;
  text-shadow: 2px 2px 8px #fff;
}

.index-banner h1 {
  font-family: Cormorant Garamond;
  font-size: 28px;
  font-weight: 100;
  font-style: italic;
  line-height: 40px;
  color: #fff;
  text-align: center;
  text-shadow: 2px 2px 8px #111;
}
.dark-theme .index-banner h1 {
  font-weight: 700;
  font-style: italic;
  color: #111;
  text-shadow: 2px 2px 8px #fff;
}

.index-links div {
  margin: 16px 16px 0;
  width: calc(100% - 32px);
  height: 100px;
  background-color: #f2f2f2;
}
.dark-theme .index-links div {
  background-color: #505050;
}

.index-links div h3 {
  font-family: Catamaran;
  font-size: 28px;
  font-weight: 600;
  line-height: 100px;
  color: #111;
  text-align: center;
  text-transform: uppercase;
}
.dark-theme .index-links div h3 {
  color: #fff;
}

@media only screen and (min-width: 1000px) {
  label {
    padding-right: 15px;
    right: 190px;
    top: -60px;
  }

  label[for="darkmode-toggle"] {
    right: 200px;
    top: -62.5px;
  }
  
  .wrapper {
    width: 1000px;
    margin: 0 auto;  
  }

  .index-banner {
    height: 450px;
  }

  .index-banner h1 {
    display: block;
    width: 560px;
    margin: 0 auto;
  }

  .index-links {
    overflow: hidden;
  }

  .index-links div {
    margin: 20px 10px 0;
    height: 250px;
    background-color: #f2f2f2;
    float: left;
  }
  .dark-theme .index-links div {
    margin: 20px 8px 0;
    height: 250px;
    background-color: #222;
    border: 1px solid #111;
    border-radius: 10px;
    cursor: pointer;
    position: relative;
  }
  .dark-theme .index-links div:hover:before {
    opacity: 1;
  }
  .dark-theme .index-links div::before {
    background: radial-gradient( 
      800px circle at var(--mouse-x) var(--mouse-y),
      rgba(255,255,255,0.25), 
      transparent 40%
    );
    border-radius: inherit;
    content: "";
    height: 100%;
    left: 0;
    opacity: 0;
    position: absolute;
    top: 0px;
    transition: opacity 500ms;
    width: 100%;
    z-index: 2;
  }

  .index-boxlink-square {
    width: calc(25% - 20px) !important;
  }

  .index-boxlink-rectangle {
    width: calc(50% - 20px) !important;
  }

  .index-links div h3 {
    line-height: 230px;
  }
}

/*FOOTER*/

footer {
  width: calc(100% - 80px);
  padding: 40px 40px;
  margin-top: 20px;
  background-color: #111;
  overflow: hidden;
}

footer ul {
  width: fit-content;
  float: left;
  padding-left: 20px;
}

footer ul li {
  display: block;
  list-style: none;
}

footer ul li a {
  font-family: catamaran;
  font-size: 24px;
  color: #fff;
  line-height: 40px;
}

.footer-links-cases {
  display: none;
}

.footer-sm {
  width: 50px;
  float: right;
}

.footer-sm img {
  width: 100%;
  margin-bottom: 10px;
}

@media only screen and (min-width: 1000px) {
  .footer-links-cases {
    display: block;
  }

  footer ul {
    padding-right: 30px;
  }

  footer ul li p {
    font-family: catamaran;
    font-size: 24px;
    color: #fff;
    line-height: 40px;
    text-transform: uppercase;
  }
}